Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Fog Class Reference

フォグ More...

`#include <Fog.h>`

List of all members.

## Public Types
enum | Mode { modeLinear = 0, modeExponent, modeExponent2 }
| モード More...
## Public Member Functions
virtual float | getLimit ()
| 限界値の取得
virtual void | setEnabled (bool enabled)
| 有効、無効の設定
virtual bool | isEnabled () const
| 有効、無効の取得
virtual void | setColor (const Color4c &color)
| 色の設定
virtual const Color4c & | getColor () const
| 色の取得
virtual void | setMode (Mode mode)
| モードの設定
virtual Mode | getMode () const
| モードの取得
virtual void | setModeString (const String &mode)
| モード文字列の設定
virtual String | getModeString () const
| モード文字列の取得
virtual void | setDensity (float density)
| 濃度の設定
virtual float | getDensity () const
| 濃度の取得
virtual void | setNear (float fogNear)
| ニアの設定
virtual float | getNear () const
| ニアの取得
virtual void | setFar (float fogFar)
| ファーの設定
virtual float | getFar () const
| ファーの取得
## Protected Member Functions
| Fog ()
| コンストラクタ
virtual | ~Fog ()
| デストラクタ
## Friends
class | Scene

## Detailed Description

フォグ

Definition at line 34 of file Fog.h.

## Member Enumeration Documentation

enum Lamp::Fog::Mode

  | モード Enumeration values:
  modeLinear | 線形フォグ
  modeExponent | 指数フォグ
  modeExponent2 | 二乗の指数フォグ
Definition at line 38 of file Fog.h. Referenced by getMode().

## Member Function Documentation

virtual const Color4c& Lamp::Fog::getColor | ( |  | ) | const`[inline, virtual]`

| 色の取得 Returns: 色 Definition at line 81 of file Fog.h. Referenced by Lamp::SceneFramework::loadScene(), Lamp::FixedShader::resetFogOptionFixed(), Lamp::RenderingDevice::setFog(), Lamp::TextSceneSaver::writeFog(), and Lamp::BinarySceneSaver::writeFog().

virtual float Lamp::Fog::getDensity | ( |  | ) | const`[inline, virtual]`

| 濃度の取得 モードがmodeExponent、modeExponent2の時に使用されます Returns: 濃度 Definition at line 147 of file Fog.h. Referenced by Lamp::RenderingDevice::setFog(), Lamp::TextSceneSaver::writeFog(), and Lamp::BinarySceneSaver::writeFog().

virtual float Lamp::Fog::getFar | ( |  | ) | const`[inline, virtual]`

| ファーの取得 モードがmodeLifogNearの時に使用されます Returns: ファー Definition at line 187 of file Fog.h. Referenced by Lamp::RenderingDevice::setFog(), Lamp::TextSceneSaver::writeFog(), and Lamp::BinarySceneSaver::writeFog().

float Lamp::Fog::getLimit | ( |  | ) | `[virtual]`

| 限界値の取得 Returns: 限界値 Definition at line 50 of file Fog.cpp. References modeExponent, modeExponent2, and modeLinear.

virtual Mode Lamp::Fog::getMode | ( |  | ) | const`[inline, virtual]`

| モードの取得 Returns: モード Definition at line 94 of file Fog.h. References Mode. Referenced by Lamp::RenderingDevice::setFog(), and Lamp::BinarySceneSaver::writeFog().

virtual String Lamp::Fog::getModeString | ( |  | ) | const`[inline, virtual]`

| モード文字列の取得 Returns: モード文字列 Definition at line 117 of file Fog.h. References modeExponent, modeExponent2, and modeLinear. Referenced by Lamp::TextSceneSaver::writeFog().

virtual float Lamp::Fog::getNear | ( |  | ) | const`[inline, virtual]`

| ニアの取得 モードがmodeLifogNearの時に使用されます Returns: ニア Definition at line 167 of file Fog.h. Referenced by Lamp::RenderingDevice::setFog(), Lamp::TextSceneSaver::writeFog(), and Lamp::BinarySceneSaver::writeFog().

virtual bool Lamp::Fog::isEnabled | ( |  | ) | const`[inline, virtual]`

| 有効、無効の取得 Returns: trueなら有効、falseなら無効 Definition at line 65 of file Fog.h. Referenced by Lamp::RenderingDevice::setFog(), Lamp::TextSceneSaver::writeFog(), and Lamp::BinarySceneSaver::writeFog().

virtual void Lamp::Fog::setColor | ( | const Color4c & | color | ) | `[inline, virtual]`

  | 色の設定 Parameters:
  color | 色
Definition at line 72 of file Fog.h. References Lamp::Color4c::a, and Assert. Referenced by Lamp::TextSceneLoader::readFog(), and Lamp::BinarySceneLoader::readFog().

virtual void Lamp::Fog::setDensity | ( | float | density | ) | `[inline, virtual]`

  | 濃度の設定 モードがmodeExponent、modeExponent2の時に使用されます Parameters:
  density | 濃度
Definition at line 135 of file Fog.h. References Assert. Referenced by Lamp::TextSceneLoader::readFog(), and Lamp::BinarySceneLoader::readFog().

virtual void Lamp::Fog::setEnabled | ( | bool | enabled | ) | `[inline, virtual]`

  | 有効、無効の設定 Parameters:
  enabled | trueなら有効、falseなら無効
Definition at line 59 of file Fog.h. Referenced by Lamp::TextSceneLoader::readFog(), and Lamp::BinarySceneLoader::readFog().

virtual void Lamp::Fog::setFar | ( | float | fogFar | ) | `[inline, virtual]`

  | ファーの設定 モードがmodeLifogNearの時に使用されます Parameters:
  fogFar | ファー
Definition at line 176 of file Fog.h. References Assert. Referenced by Lamp::TextSceneLoader::readFog(), and Lamp::BinarySceneLoader::readFog().

virtual void Lamp::Fog::setMode | ( | Mode | mode | ) | `[inline, virtual]`

  | モードの設定 Parameters:
  mode | モード
Definition at line 88 of file Fog.h. Referenced by Lamp::BinarySceneLoader::readFog().

virtual void Lamp::Fog::setModeString | ( | const String & | mode | ) | `[inline, virtual]`

  | モード文字列の設定 Parameters:
  mode | モード文字列
Definition at line 100 of file Fog.h. References ErrorOut, modeExponent, modeExponent2, and modeLinear. Referenced by Lamp::TextSceneLoader::readFog().

virtual void Lamp::Fog::setNear | ( | float | fogNear | ) | `[inline, virtual]`

  | ニアの設定 モードがmodeLifogNearの時に使用されます Parameters:
  fogNear | ニア
Definition at line 156 of file Fog.h. References Assert. Referenced by Lamp::TextSceneLoader::readFog(), and Lamp::BinarySceneLoader::readFog().

The documentation for this class was generated from the following files:

- Fog.h
- Fog.cpp